print.core {bio3d} | R Documentation

## Printing Core Positions and Returning Indices

### Description

Print method for core.find objects.

### Usage

    ## S3 method for class 'core'
    print(x, vol = NULL, ...)

### Arguments

`x` | a list object obtained with the function `core.find`.
`vol` | the maximal cumulative volume value at which core positions are detailed.
`...` | additional arguments to ‘print’.

### Value

Returns a three component list of indices:

`atom` | atom indices of core positions
`xyz` | xyz indices of core positions
`resno` | residue numbers of core positions

### Note

The produced `plot.core` function can be useful for deciding on the core/non-core boundary.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`core.find`, `plot.core`

### Examples

    ## Not run:
    ##-- Generate a small kinesin alignment and read corresponding structures
    pdbfiles <- get.pdb(c("1bg2","2ncd","1i6i","1i5s"), URLonly=TRUE)
    pdbs <- pdbaln(pdbfiles)

    ##-- Find 'core' positions
    core <- core.find(pdbs)
    plot(core)

    ##-- Fit on these relatively invarient subset of positions
    core.inds <- print(core, vol=0.5)

    print(core, vol=0.7)
    print(core, vol=1.0)

    ## End(Not run)

[Package bio3d version 2.3-4 Index]